# MPLAB IDE generated this makefile for use with GNU make.
# Project: ImageInSD PIC24.mcp
# Date: Thu Apr 23 17:48:20 2009

AS = pic30-as.exe
CC = pic30-gcc.exe
LD = pic30-ld.exe
AR = pic30-ar.exe
HX = pic30-bin2hex.exe
RM = rm

ImageInSD\ PIC24.hex : ImageInSD\ PIC24.cof
	$(HX) "ImageInSD PIC24.cof"

ImageInSD\ PIC24.cof : Objects\ -\ Image\ Decoders\ Demo/Application.o Objects\ -\ Image\ Decoders\ Demo/JpegDecoder.o Objects\ -\ Image\ Decoders\ Demo/BmpDecoder.o Objects\ -\ Image\ Decoders\ Demo/GifDecoder.o Objects\ -\ Image\ Decoders\ Demo/ImageDecoder.o Objects\ -\ Image\ Decoders\ Demo/jidctint.o Objects\ -\ Image\ Decoders\ Demo/Primitive.o Objects\ -\ Image\ Decoders\ Demo/GOLFontDefault.o Objects\ -\ Image\ Decoders\ Demo/DisplayDriver.o Objects\ -\ Image\ Decoders\ Demo/SD-SPI.o Objects\ -\ Image\ Decoders\ Demo/FSIO.o
	$(CC) -mcpu=24FJ128GA010 "Objects - Image Decoders Demo\Application.o" "Objects - Image Decoders Demo\JpegDecoder.o" "Objects - Image Decoders Demo\BmpDecoder.o" "Objects - Image Decoders Demo\GifDecoder.o" "Objects - Image Decoders Demo\ImageDecoder.o" "Objects - Image Decoders Demo\jidctint.o" "Objects - Image Decoders Demo\Primitive.o" "Objects - Image Decoders Demo\GOLFontDefault.o" "Objects - Image Decoders Demo\DisplayDriver.o" "Objects - Image Decoders Demo\SD-SPI.o" "Objects - Image Decoders Demo\FSIO.o" -o"ImageInSD PIC24.cof" -Wl,-Tp24FJ128GA010.gld,--defsym=__MPLAB_BUILD=1,--heap=100,-Map="ImageInSD PIC24.map",--report-mem

Objects\ -\ Image\ Decoders\ Demo/Application.o : Application.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "Application.c" -o"Objects - Image Decoders Demo\Application.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

Objects\ -\ Image\ Decoders\ Demo/JpegDecoder.o : ../Microchip/Image\ Decoders/JpegDecoder.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "..\Microchip\Image Decoders\JpegDecoder.c" -o"Objects - Image Decoders Demo\JpegDecoder.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

Objects\ -\ Image\ Decoders\ Demo/BmpDecoder.o : ../Microchip/Image\ Decoders/BmpDecoder.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "..\Microchip\Image Decoders\BmpDecoder.c" -o"Objects - Image Decoders Demo\BmpDecoder.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

Objects\ -\ Image\ Decoders\ Demo/GifDecoder.o : ../Microchip/Image\ Decoders/GifDecoder.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "..\Microchip\Image Decoders\GifDecoder.c" -o"Objects - Image Decoders Demo\GifDecoder.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

Objects\ -\ Image\ Decoders\ Demo/ImageDecoder.o : ../Microchip/Image\ Decoders/ImageDecoder.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "..\Microchip\Image Decoders\ImageDecoder.c" -o"Objects - Image Decoders Demo\ImageDecoder.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

Objects\ -\ Image\ Decoders\ Demo/jidctint.o : ../Microchip/Image\ Decoders/jidctint.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "..\Microchip\Image Decoders\jidctint.c" -o"Objects - Image Decoders Demo\jidctint.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

Objects\ -\ Image\ Decoders\ Demo/Primitive.o : ../Microchip/Graphics/Primitive.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "..\Microchip\Graphics\Primitive.c" -o"Objects - Image Decoders Demo\Primitive.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

Objects\ -\ Image\ Decoders\ Demo/GOLFontDefault.o : ../Microchip/Graphics/GOLFontDefault.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "..\Microchip\Graphics\GOLFontDefault.c" -o"Objects - Image Decoders Demo\GOLFontDefault.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

Objects\ -\ Image\ Decoders\ Demo/DisplayDriver.o : ../Microchip/Graphics/DisplayDriver.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "..\Microchip\Graphics\DisplayDriver.c" -o"Objects - Image Decoders Demo\DisplayDriver.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

Objects\ -\ Image\ Decoders\ Demo/SD-SPI.o : ../Microchip/MDD\ File\ System/SD-SPI.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "..\Microchip\MDD File System\SD-SPI.c" -o"Objects - Image Decoders Demo\SD-SPI.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

Objects\ -\ Image\ Decoders\ Demo/FSIO.o : ../Microchip/MDD\ File\ System/FSIO.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "..\Microchip\MDD File System\FSIO.c" -o"Objects - Image Decoders Demo\FSIO.o" -I"." -I"..\Microchip\Include" -I"..\Microchip\MDD File System" -I"..\Microchip\Include\MDD File System" -mlarge-code -mlarge-data -mlarge-scalar -mconst-in-code -O3

clean : 
	$(RM) "Objects - Image Decoders Demo\Application.o" "Objects - Image Decoders Demo\JpegDecoder.o" "Objects - Image Decoders Demo\BmpDecoder.o" "Objects - Image Decoders Demo\GifDecoder.o" "Objects - Image Decoders Demo\ImageDecoder.o" "Objects - Image Decoders Demo\jidctint.o" "Objects - Image Decoders Demo\Primitive.o" "Objects - Image Decoders Demo\GOLFontDefault.o" "Objects - Image Decoders Demo\DisplayDriver.o" "Objects - Image Decoders Demo\SD-SPI.o" "Objects - Image Decoders Demo\FSIO.o" "ImageInSD PIC24.cof" "ImageInSD PIC24.hex"

